import request from "@/scripts/httpRequest"

/*输入    

    repeated string taskNames = 1;      //场景名称集合 
    repeated string treeNodes = 2;      //摄像机id集合
    repeated string searchTime = 3;     //时间
    string alarmLevel = 5;              //报警级别

{
    "taskNames": [
        "场景多算法",
        "场景1"
    ],
    "treeNodes": [
        "29aeffc7-d51a-447b-ae30-5916690f40e4"
    ],
    "searchTime": [
        "2022-07-28 00:00:00",
        "2022-08-03 23:59:59"
    ],
    "alarmLevel": "一级"
}

以上"taskNames"，"treeNodes"，"alarmLevel"选择全部（页面中选择全部）直接传空或不传，日期为数组，第一个为开始时间，第二个为结束时间。

输出为base64

{
    "code": 200,
    "data": {
        "warningRate": "eyJidWNrZXRzIjpbeyJkb2NfY291bnQiOjQsImtleSI6M30seyJkb2NfY291bnQiOjMsImtleSI6Mn0seyJkb2NfY291bnQiOjEsImtleSI6MX1dLCJ0b3RhbCI6MzI1N30=",
        "warningTable": "W3siZG9jX2NvdW50Ijo4MDEsImtleSI6MTY1OTM5ODQwMDAwMCwia2V5X2FzX3N0cmluZyI6IjIwMjItMDgtMDIifSx7ImRvY19jb3VudCI6MjQ1Niwia2V5IjoxNjU5NDg0ODAwMDAwLCJrZXlfYXNfc3RyaW5nIjoiMjAyMi0wOC0wMyJ9XQ==",
        "warningStatics": "W3siZG9jX2NvdW50IjozLCJrZXkiOjE2NTk0ODQ4MDAwMDAsImtleV9hc19zdHJpbmciOiIyMDIyLTA4LTAzIn1d",
        "warningChartRate": "W3siZG9jX2NvdW50IjozMjM4LCJrZXkiOiLlnLrmma/lpJrnrpfms5UifSx7ImRvY19jb3VudCI6MTksImtleSI6IuWcuuaZrzEifV0="
    },
    "msg": "请求处理成功",
    "success": true
}

    bytes warningRate = 1;         //排查率，整改率，处理率 所需数据 key 1=误报数据,2=已整改,3=未整改 doc_count=数量 total=总量 
    bytes warningTable = 2;        //告警数量趋势所需数据 "key_as_string" 按日期‘天’分桶   doc_count“数量”
    bytes warningStatics = 3;      //整改数量统计所需数据 "key_as_string" 按日期‘天’分桶   doc_count“数量”
    bytes warningChartRate = 4;    //告警类型占比所需数据 

"warningRate": {"buckets":[{"doc_count":4,"key":3},{"doc_count":3,"key":2},{"doc_count":1,"key":1}],"total":3257}                                                                            
//key 1=误报数据,2=已整改,3=未整改 doc_count=数量 total=总量  

"warningTable": [{"doc_count":801,"key":1659398400000,"key_as_string":"2022-08-02"},{"doc_count":2456,"key":1659484800000,"key_as_string":"2022-08-03"}]     
//"key_as_string" 按日期‘天’分桶   doc_count“数量”

"warningStatics": [{"doc_count":3,"key":1659484800000,"key_as_string":"2022-08-03"} 							  //"key_as_string" 按日期‘天’分桶   doc_count“数量”

"warningChartRate": [{"doc_count":3238,"key":"场景多算法"},{"doc_count":19,"key":"场景1"}]						//key=报警类型   doc_count“数量” */
export const analysisReport = (data: any) => {
  return request({
    url: "/cloud/api-s/es/analysisReport",
    method: "post",
    data
  })
}
export const saveWarning = (data: any) => {
  return request({
    url: "/cloud/api-s/es/saveWarning",
    method: "post",
    data
  })
}

export const findTagList = () => {
  return request({
    url: "/data/api-v/es/tagList",
    method: "post"
  })
}

export const findBaseByRuleEditor = () => {
  return request({
    url: "/data/api-v/dbtable/findAllDbTablesByCurServer",
    method: "get"
  })
}

export const getCameraFaceData = (data: any) => {
  return request({
    url: "/data/api-v/customer/behavior",
    method: "post",
    data
  })
}
